Ariadna on Solaris? Can't find a JRE...

I've been running IDEA 3.0.1 on Solaris in a university course, and now
that the next iteration of the course is about to start, I was going to
upgrade to IDEA 3.0.5.

I tried using the old JRE, but apparently it was 1.4.1_01 and IDEA
wanted 1.4.1_02.

I downloaded a new JRE from Sun, extracted it, downloaded a complete JDK
(which is in some kind of package format) and managed to extract
tools.jar and placed it in the correct place. This was 1.4.1_04, and
IDEA wanted exactly 1.4.1_02. I guess 1.4.2 won't work either.

There is no Solaris JRE available at the download pages at intellij.com
or intellij.net/eap, as far as I can tell.

What do I do now? Does anyone have a 1.4.1_02 JRE that I can copy?

Please sign in to leave a comment.